Bug 133806 - Mozilla is unable to gracefully recover from a mildly-inconsistent (and possibly detectable) state
Mozilla is unable to gracefully recover from a mildly-inconsistent (and possi...
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: mozilla (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Christopher Aillon
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-09-27 13:07 EDT by Daniel Reed
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-02-09 11:44:58 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Daniel Reed 2004-09-27 13:07:19 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.3)
Gecko/20040923

Description of problem:
The following dialog box should never be visible to the user:


                             Select User Profile
Mozilla Profile Manager
Select User Profile

Mozilla stores information about your
settings, preferences, bookmarks,
stored messages and other user items
in your user profile.

[Create Profile...]
[Rename Profile...]       [ ] Work offline
[Delete Profile...]       [ ] Don't ask at startup

                                [Start Mozilla]    [Exit]


This dialog box does not convey information about what is actually
wrong (in my case, Mozilla was forcefully killed and was unable to
clean up its temporary files). At the bare minimum, Mozilla should
allow me to say "No, you are wrong, clean up whatever lock files are
telling you you are already running." Optimally, it would be able to
confirm the legitimacy of a "lock" file (by checking the pid pointed
from a .pid file, checking the other end of a named pipe, just
examining the process list, whatever).

The only workaround I have found is to manually rm
~/.mozilla/default/*/lock . This is not an "easy workaround" because
it is not an obvious/easily-discoverable procedure.

Version-Release number of selected component (if applicable):
mozilla-1.7.3-1

Steps to Reproduce:
1. Close all instances of Mozilla
2. Create a file ~/.mozilla/default/*/lock
3. Start Mozilla
Comment 1 Matěj Cepl 2007-02-09 11:44:58 EST
Since this bugzilla report was filed, there have been several major updates,
which may have resolved this issue. Users who have experienced this problem are
encouraged to upgrade their system to the latest version available. Therefore
closing this bug as obsolete.

If you experience this problem on the up-to-date system, please reopen this bug
with an additional information.

Note You need to log in before you can comment on or make changes to this bug.